package com.jsowell.pile.service.impl;

import com.jsowell.pile.domain.OrderMonitorData;
import com.jsowell.pile.mapper.OrderMonitorDataMapper;
import com.jsowell.pile.service.OrderMonitorDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class OrderMonitorDataServiceImpl implements OrderMonitorDataService {

    @Resource
    private OrderMonitorDataMapper orderMonitorDataMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return orderMonitorDataMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(OrderMonitorData record) {
        return orderMonitorDataMapper.insert(record);
    }

    @Override
    public int insertSelective(OrderMonitorData record) {
        return orderMonitorDataMapper.insertSelective(record);
    }

    @Override
    public OrderMonitorData selectByPrimaryKey(Integer id) {
        return orderMonitorDataMapper.selectByPrimaryKey(id);
    }

    @Override
    public OrderMonitorData selectByOrderCode(String orderCode) {
        return orderMonitorDataMapper.selectByOrderCode(orderCode);
    }

    @Override
    public OrderMonitorData selectByTransactionCode(String transactionCode) {
        return orderMonitorDataMapper.selectByTransactionCode(transactionCode);
    }

}
